Bug 1245388 - libtdb-1.3.7 is available
Summary: libtdb-1.3.7 is available
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libtdb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-22 00:17 UTC by Upstream Release Monitoring
Modified: 2015-09-09 23:19 UTC (History)
6 users (show)

Fixed In Version: 2.1.3-1.fc22
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-09 23:19:43 UTC


Attachments (Terms of Use)
Rebase to 1.3.7 (2.68 KB, patch)
2015-07-22 08:04 UTC, Jakub Hrozek
no flags Details | Diff
New release 1.3.7 (2.83 KB, patch)
2015-07-22 10:45 UTC, Miro Hrončok
no flags Details | Diff
New release 1.3.7 (2.87 KB, patch)
2015-07-22 10:48 UTC, Miro Hrončok
no flags Details | Diff

Description Upstream Release Monitoring 2015-07-22 00:17:00 UTC
Latest upstream release: 1.3.7
Current version/release in rawhide: 1.3.6-2.fc23
URL: http://www.samba.org/ftp/tdb/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2015-07-22 00:17:17 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-jcXosb/libtdb.spec
return code:  22
stdout:
Getting http://samba.org/ftp/tdb/tdb-1.3.7.tar.gz to ./tdb-1.3.7.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   226  100   226    0     0    480      0 --:--:-- --:--:-- --:--:--   479

  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
100   254  100   254    0     0    168      0  0:00:01  0:00:01 --:--:--  1587

  0     0    0     0    0     0      0      0 --:--:--  0:00:02 --:--:--     0
curl: (22) The requested URL returned error: 400 Bad Request

Comment 2 Jakub Hrozek 2015-07-22 08:03:26 UTC
Here is a proposed patch, please review the python3 packaging.

Comment 3 Jakub Hrozek 2015-07-22 08:04:15 UTC
Created attachment 1054644 [details]
Rebase to 1.3.7

Comment 4 Miro Hrončok 2015-07-22 10:40:17 UTC
Comment on attachment 1054644 [details]
Rebase to 1.3.7

You should add:

    BuildRequires: python3-devel

Otherwise %{_python3} is undefined and the build fails.


And change:

    BuildRequires: python-devel

to:

    BuildRequires: python2-devel

(Just a guideline thing, it works even with python-devel.)


Also, form long time perspective, I'd say replace any occurrence of hardcoded 34 in %files -n python3-tdb with %{python3_version_nodots}.


I've noticed you call /sbin/ldconfig in %post and %postun of python-tdb. You might want to do that with python3 as well, although I haven't seen this in any Python package with .so modules, so maybe it's not necessary at all neither with python-tdb.


I'd also suggest getting rid of the initial python_sitearch/sitelib definition, because it is nto needed in Fedora and the spec won't work with RHEL now.

Otherwise it looks OK.

Comment 5 Miro Hrončok 2015-07-22 10:45:13 UTC
Created attachment 1054776 [details]
New release 1.3.7

Comment 6 Miro Hrončok 2015-07-22 10:48:17 UTC
Created attachment 1054778 [details]
New release 1.3.7

Oh, I forgot to replace hardcoded 34s. Now It should be just fine.

Comment 7 Miro Hrončok 2015-07-27 15:09:32 UTC
Will do this.

Comment 8 Upstream Release Monitoring 2015-07-27 15:41:30 UTC
churchyard's libtdb-1.3.7-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=672562

Comment 9 Fedora Update System 2015-08-31 15:30:21 UTC
libldb-1.1.21-1.fc22 libtdb-1.3.7-1.fc22 libtevent-0.9.25-1.fc22 libtalloc-2.1.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14682

Comment 10 Fedora Update System 2015-09-01 09:58:03 UTC
libldb-1.1.21-1.fc22, libtalloc-2.1.3-1.fc22, libtdb-1.3.7-1.fc22, libtevent-0.9.25-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update libldb libtevent libtalloc libtdb'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14682

Comment 11 Fedora Update System 2015-09-09 23:19:39 UTC
libldb-1.1.21-1.fc22, libtalloc-2.1.3-1.fc22, libtdb-1.3.7-1.fc22, libtevent-0.9.25-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.